﻿@model IEnumerable<todo_domain_entities.ToDoList>

@{
    ViewData["Title"] = "Index";
}

<h1 style="font-family: Sans Regular,Arial,sans-serif; font-size: 32px">ToDo List</h1>

<p style="color:red">@ViewBag.Name</p>

<div style="display:flex">
    <p>
        <a asp-action="Create" class="outButtons" style="">Create New</a>
        <a class="outButtons" asp-action="GetDueToday">Due today</a>
        <button onclick="CopyToClipboard()">Copy all</button>
    </p>
</div>
<script>
    function CopyToClipboard() {
        $.ajax({
            type: "POST",
            url: "/ToDoLists/CopyToClipboardTxt",
            dataType: "text",
            success: function(response) {
                navigator.clipboard.writeText(response.toString());
                alert("This ToDo List is copied to your clipboard");
            },
            failure: function() {
                alert("Failed to copy");
            },
            error: function() {
                alert("error");
            }
        });
    }
</script>
<div class="InProgress">
    <p>In progress</p>
    <table class="table">
        <thead>
            <tr>
                <th>
                    @Html.DisplayNameFor(model => model.Title)
                </th>
                <th>
                    @Html.DisplayNameFor(model => model.Description)
                </th>
                <th>
                    @Html.DisplayNameFor(model => model.DueDate)
                </th>
                <th>
                    @Html.DisplayNameFor(model => model.CreationDate)
                </th>
                <th></th>
            </tr>
        </thead>
        <tbody>
            @foreach (var item in Model.Where(x => x.StatusId == 1))
            {
                <tr>
                    <td>
                        @Html.DisplayFor(modelItem => item.Title)
                    </td>
                    <td>
                        @Html.DisplayFor(modelItem => item.Description)
                    </td>
                    <td>
                        @Html.DisplayFor(modelItem => item.DueDate)
                    </td>
                    <td>
                        @Html.DisplayFor(modelItem => item.CreationDate)
                    </td>
                    <td class="inButtons">
                        <a asp-action="Edit" asp-route-id="@item.Id">Edit</a> 
                        <a asp-action="Details" asp-route-id="@item.Id">Details</a> 
                        <a asp-action="Delete" asp-route-id="@item.Id">Delete</a>
                    </td>
                </tr>
            }
        </tbody>
    </table>
</div>
<div class="Upcoming">
    <p>Upcoming</p>
    <table class="table">
        <thead>
            <tr>
                <th>
                    @Html.DisplayNameFor(model => model.Title)
                </th>
                <th>
                    @Html.DisplayNameFor(model => model.Description)
                </th>
                <th>
                    @Html.DisplayNameFor(model => model.DueDate)
                </th>
                <th>
                    @Html.DisplayNameFor(model => model.CreationDate)
                </th>
                <th></th>
            </tr>
        </thead>
        <tbody>
            @foreach (var item in Model.Where(x => x.StatusId == 2))
            {
                <tr>
                    <td>
                        @Html.DisplayFor(modelItem => item.Title)
                    </td>
                    <td>
                        @Html.DisplayFor(modelItem => item.Description)
                    </td>
                    <td>
                        @Html.DisplayFor(modelItem => item.DueDate)
                    </td>
                    <td>
                        @Html.DisplayFor(modelItem => item.CreationDate)
                    </td>
                    <td class="inButtons">
                        <a asp-action="Edit" asp-route-id="@item.Id">Edit</a> 
                        <a asp-action="Details" asp-route-id="@item.Id">Details</a> 
                        <a asp-action="Delete" asp-route-id="@item.Id">Delete</a>
                    </td>
                </tr>
            }
        </tbody>
    </table>
</div>
<div class="Completed">
    <p>Completed</p>

    <table class="table">
        <thead>
            <tr>
                <th>
                    @Html.DisplayNameFor(model => model.Title)
                </th>
                <th>
                    @Html.DisplayNameFor(model => model.Description)
                </th>
                <th>
                    @Html.DisplayNameFor(model => model.DueDate)
                </th>
                <th>
                    @Html.DisplayNameFor(model => model.CreationDate)
                </th>
                <th></th>
            </tr>
        </thead>
        <tbody>
            @foreach (var item in Model.Where(x => x.StatusId == 3))
            {
                <tr>
                    <td>
                        @Html.DisplayFor(modelItem => item.Title)
                    </td>
                    <td>
                        @Html.DisplayFor(modelItem => item.Description)
                    </td>
                    <td>
                        @Html.DisplayFor(modelItem => item.DueDate)
                    </td>
                    <td>
                        @Html.DisplayFor(modelItem => item.CreationDate)
                    </td>
                    <td class="inButtons">
                        <a asp-action="Edit" asp-route-id="@item.Id">Edit</a> 
                        <a asp-action="Details" asp-route-id="@item.Id">Details</a>
                        <a asp-action="Delete" asp-route-id="@item.Id">Delete</a>
                    </td>
                </tr>
            }
        </tbody>
    </table>
</div>